#!/usr/bin/env perl
# by W. Faber

# flush after every print
$|=1;

$regularModelSeen=0;
$optimizationOutput=0;

while( <> ) {
  if ( /^\r?$/ || /^Cost \(\[Weight:Level\]\): <\[[0-9]+:[0-9]+\]>$/ ) {
  } else {
    $regularModelSeen=1 if /^{.*}$/;
    $optimizationOutput=1 if /^Current model/ or /^Best model/;
    s/^{}$//;
    s/^Current model \[maybe not optimal\]: {//;
    s/^Best model: ({.*})$/\1\nOPTIMUM FOUND/;
    s/^{//;
    s/}$/./;
    s/}(\nOPTIMUM FOUND)$/.\1/;
    s/, /. /g;

    print;
  }
}
print "ANSWER SET FOUND\n" if $regularModelSeen and not $optimizationOutput;
print "INCONSISTENT\n" if not $regularModelSeen and not $optimizationOutput;

